# ---------------------------------------------------------------------------
# Alternate Server Settings
# ---------------------------------------------------------------------------
# The defaults are set to be retail-like as much as possible.
# If you modify any of these settings, your server will deviate from being retail-like.
# Please take extreme caution when changing anything. Also, please understand what you are changing before you do so on a live server.
#----------------------------------------------------------------------------

# AutoLoot enable... True to enable, False to disable
# Default: False
AutoLoot = False

# AutoLoot for RBs/GBs enable... True to enable, False to disable
# Default: False
AutoLootRaids = False

# Level up soul crystal even if player has more than 1 inside inventory
# Default: False
LevelUpSoulCrystalWhenHasMany = False

# AutoLearnSkills... True to enable, False to disable
AutoLearnSkills = False
# AutoLearnSkills...(For 3rd Class only) True to enable, False to disable
AutoLearn3rdClassSkills = False

# Party range for l2attackable (default 1600)
AltPartyRange = 1600
# Party range for l2party (default 1400)
AltPartyRange2 = 1400

# If XP loss (and deleveling) is enabled, default is 'true'
Delevel = True

# Weight limit multiplier. Example: Setting this to 5 will give players 5x the normal weight limit.
# Default: 1
AltWeightLimit = 1

# If disabled, magic dmg has always 100% chance of success, default is 'true'
MagicFailures = True

# Alternative cancel of attack (bow, cast, all)
AltGameCancelByHit = cast

# Alternative Rate Value for Perfect Shield Block Rate.
AltPerfectShieldBlockRate = 5

# Alternative mob behavior in peace zones
# Default = True; Set to False to prevent mobs from auto-aggro against players in peace zones
AltMobAggroInPeaceZone = True

# Alternative Freight mode. If true, freights can be withdrawn from any place.
# Also, possibility to change Freight price (in adena) for each item slot in freight.
# NOTE: AltGameFreightPrice WILL NOT change the value shown to the player, but the
# player will actually get charged for the value set in here.
AltGameFreights = False
AltGameFreightPrice = 1000

# Alternative Xp/Sp rewards, if not 0, then calculated as 2^((mob.level-player.level) / coef),
# A few examples for "AltGameExponentXp = 5." and "AltGameExponentSp = 3."
# diff = 0 (player and mob has the same level), XP bonus rate = 1, SP bonus rate = 1
# diff = 3 (mob is 3 levels above), XP bonus rate = 1.52, SP bonus rate = 2
# diff = 5 (mob is 5 levels above), XP bonus rate = 2, SP bonus rate = 3.17
# diff = -8 (mob is 8 levels below), XP bonus rate = 0.4, SP bonus rate = 0.16
AltGameExponentXp = 0
AltGameExponentSp = 0

# Use tiredness (instead of combat points)
AltGameTiredness = False

#-------------------------------------------------------------
# Alternative settings against player with karma or flag
#-------------------------------------------------------------
AltKarmaPlayerCanBeKilledInPeaceZone = False
AltKarmaPlayerCanShop = True
# Can the player use Scroll of Escape or Return skill?
AltKarmaPlayerCanTeleport = True
# Can the player use gatekeepers (GK)?
AltKarmaPlayerCanUseGK = False
AltFlaggedPlayerCanUseGK = True

AltKarmaPlayerCanTrade = True
AltKarmaPlayerCanUseWareHouse = False

# Allow free teleportation around the world.
AltFreeTeleporting = False

#Set true for disallow recommend character twice or more a day
AltRecommend = False

#-------------------------------------------------------------
# Crafting config
#-------------------------------------------------------------
# Crafting enabled/disabled. On by default
CraftingEnabled = True

#Limits for recipes (default: 50 - for dwarf , 50 - for common)
DwarfRecipeLimit = 50
CommonRecipeLimit = 50

# Alternative crafting rules:
# - crafting takes time
# - players get EXP/SP for crafting
AltGameCreation = False

# time multiplier - bigger number ===> slower crafting but more XP/SP 
AltGameCreationSpeed = 1

# Additional XP/SP rate multiplier (for increased XP/SP)  default = 1
AltGameCreationRateXp = 1
AltGameCreationRateSp = 1

# If set to False, blacksmiths don't take recipes from players inventory when crafting.
# Default = True (on retail it's confirmed that blacksmith use recipes for each crafted item)
AltBlacksmithUseRecipes = True

#-------------------------------------------------------------
# Skills config
#-------------------------------------------------------------

# Spell Book needed to learn skills
SpBookNeeded = True

# Book needed to enchant skills
EnchantSkillSpBookNeeded = True

# Maximum allowed subclasses for a player
# Default = 3
AltMaxSubClasses = 3

# Allow player sub-class addition without checking for unique quest items.
AltSubClassWithoutQuests = False

#-------------------------------------------------------------
# Tutorial Guide
#-------------------------------------------------------------
# Enable/Disable Tutorial Guide
AltEnableTutorial = True

#-------------------------------------------------------------
# Effect Limits (maximum of 30 in original client, 36 with custom patch)
#-------------------------------------------------------------
# Maximum number of buffs
# Default = 20
MaxBuffAmount = 20
# Maximum number of debuffs
# Note: If all debuff slots are consumed, debuffs will start using buff slots,
# therefore remove first buff in case of reaching maximum buff amount.
# Default = 10
MaxDebuffAmount = 10
# Number of buff slots per row
# Note: This setting requires client modification to apply properly.
BuffSlotsPerRow = 10

#-------------------------------------------------------------
# Command Channel config
#-------------------------------------------------------------
# Minimum number of parties to activate command channel
# (Activation bestows the right to use Chat dialog)
# Minimum number set must be 2
# Default = 5
AltChannelActivationCount = 5

#-------------------------------------------------------------
# Clan config
#-------------------------------------------------------------
# Number of days you have to wait before :
#   - joining another clan
DaysBeforeJoinAClan = 5
#   - creating a new clan
DaysBeforeCreateAClan = 10
#   - dissolving a clan
DaysToPassToDissolveAClan = 7
#   - dissolving again
DaysToPassToDissolveAgain = 7

# Number of days before joining a new alliance when clan voluntarily leave an alliance
DaysBeforeJoinAllyWhenLeaved = 1
# Number of days before joining a new alliance when clan was dismissed from an alliance
DaysBeforeJoinAllyWhenDismissed = 1
# Number of days before accepting a new clan for alliance when clan was dismissed from an alliance
DaysBeforeAcceptNewClanWhenDismissed = 1
# Number of days before creating a new alliance when dissolved an alliance
DaysBeforeCreateNewAllyWhenDissolved = 10

# Maximum number of clans in ally
AltMaxNumOfClansInAlly = 12

# Number of members needed to request a clan war
AltClanMembersForWar = 15

# All new characters of the same account are newbies, not only first one
# Also, it is possible to configure newbie level range
AltNewCharAlwaysIsNewbie = False
AltMinNewbieLevel = 6
AltMaxNewbieLevel = 25

# Allows Players to Shift-click Mobs and view their Stats and Droplist
AltGameViewNpc = True

#-------------------------------------------------------------
# Manor Config
#-------------------------------------------------------------

# Manor Refresh Time in Military hours Default 8pm (20)
AltManorRefreshTime = 20

# Manor Refresh Time for Min's, Default 00 so at the start of the hour.
AltManorRefreshMin = 00

# Manor Next Period Approve Time in Military hours Default 6am
AltManorApproveTime = 6

# Manor Next Period Approve Time for Min's, Default 00 so at the start of the hour.
AltManorApproveMin = 00

# Manor Maintenance time, Default 6 minutes.
AltManorMaintenancePeriod = 360000

# Manor Save Type. 1-Save data into db after every action; Default false
AltManorSaveAllActions = True

# Manor Save Period (used only if AltManorSaveAllActions=false) Default very 2 hours
AltManorSavePeriodRate = 2

#-------------------------------------------------------------
# Lottery config
#-------------------------------------------------------------
# Initial Lottery prize
AltLotteryPrize = 50000

# Lottery Ticket Price
AltLotteryTicketPrice = 2000

# What part of jackpot amount should receive characters who pick 5 wining numbers
AltLottery5NumberRate = 0.6

# What part of jackpot amount should receive characters who pick 4 wining numbers
AltLottery4NumberRate = 0.2

# What part of jackpot amount should receive characters who pick 3 wining numbers
AltLottery3NumberRate = 0.2

# How much adena receive characters who pick two or less of the winning number
AltLottery2and1NumberPrize = 200

#-------------------------------------------------------------
# Debug & Dev config
#-------------------------------------------------------------
# Don't load quests
AltDevNoQuests = False
# Don't load spawntable
AltDevNoSpawns = False

# ------------------------------------------------------------
# Four Sepulchers
# ------------------------------------------------------------
# Default: 50
PendingTime = 50

# Default: 5
EntryTime = 5

# Default: 4
NumberOfNecessaryPartyMembers = 4

#-----------------------------------
# Dimension Rift Config
#-----------------------------------
# Minimal party size to enter rift. Min = 2, Max = 9.
# If in rift party will become smaller all members will be teleported back
RiftMinPartySize = 2

# Number of maximum jumps between rooms allowed, after this time party will be teleported back
MaxRiftJumps = 4

# Time in ms the party has to wait until the mobs spawn when entering a room. C4 retail: 10s
RiftSpawnDelay = 10000

# Time between automatic jumps in seconds
AutoJumpsDelayMin = 480
AutoJumpsDelayMax = 600

# Time Multiplier for stay in the boss room
BossRoomTimeMultiplier = 1.5

# Cost in dimension fragments to enter the rift, each party member must own this amount
RecruitCost = 18
SoldierCost = 21
OfficerCost = 24
CaptainCost = 27
CommanderCost = 30
HeroCost = 33